/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.ant.util.blanco;

import java.io.IOException;

public class SampleBlancoAnt {
    public static void main(String[] args) {
        try {
            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoAnt");
                template.setTargetMetaNameLower("ant");
                template.setVersion("0.1.1");
                template.setDotNetSupport(false);
                template.expandLib();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoAntTask");
                template.setTargetMetaNameLower("anttask");
                template.setVersion("0.6.0");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoBatchProcess");
                template.setTargetMetaNameLower("batchprocess");
                template.setVersion("0.3.2");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoCharacterGroup");
                template.setTargetMetaNameLower("charactergroup");
                template.setVersion("0.1.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoCsv");
                template.setTargetMetaNameLower("csv");
                template.setVersion("1.0.0");
                template.setDotNetSupport(false);
                template.expandLib();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoMessage");
                template.setTargetMetaNameLower("message");
                template.setVersion("0.1.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoSqlEditor");
                template.setTargetMetaNameLower("sqleditor");
                template.setVersion("0.3.7");
                template.setDotNetSupport(false);
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoService");
                template.setTargetMetaNameLower("service");
                template.setVersion("0.1.0");
                template.setDotNetSupport(false);
                template.expandLib();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoStringGroup");
                template.setTargetMetaNameLower("stringgroup");
                template.setVersion("0.0.8");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoTextConverter");
                template.setTargetMetaNameLower("textconverter");
                template.setVersion("0.0.1");
                template.setDotNetSupport(false);
                template.expandLib();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoValueObject");
                template.setTargetMetaNameLower("valueobject");
                template.setVersion("0.9.4");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
